///////////////////////////////////// Plot - PlotDocument+Data.m (mwx,07.09.06)

#import <Cocoa/Cocoa.h>

@interface PlotDocument (Data)

- (void)saveToCoder:(NSCoder *)c;
- (void)loadFromCoder:(NSCoder *)c;
- (NSData *)dataRepresentationOfType:(NSString *)aType;
- (void)loadPartialFile:(int)mode:(NSString *)file;
- (BOOL)loadDataRepresentation:(NSData *)data ofType:(NSString *)aType;
- (void)savePDF:(NSString *)file;
- (void)saveEPS:(NSString *)file;
- (void)saveJPG:(NSString *)file:(int)dpi;
- (void)savePNG:(NSString *)file:(int)dpi;
- (void)binaryImport:(NSString *)file:(int)type:(int)mode:(BOOL)swap:(int)col:
		(NSString *)source:(NSString *)comment;

- (void)importFile:(NSString *)file:(int)mode:
		(NSString *)source:(NSString *)comment:(NSString *)sep:
		(int)axcol:(int)amode:(NSString *)icont:(NSString *)icomment:
		(BOOL)numlines;

- (void)exportASCII:(NSString *)file;
- (void)importMySQL:(NSString *)host:(NSString *)db:(NSString *)user:
                    (NSString *)passwd:(int)port:(NSString *)sql:
										(BOOL)autoupdate:(BOOL)autorescale;
-(int)openSciPlotFile:(NSString *)file;
- appSciPlotSubViewOpen:(FILE *)fi;
-(void)openSciPlotData:(FILE *)fi:(char *)s;

@end ////////////////////////////////////////////////////////////////////// END
