////////////////////////////////////////////////// mrqmin.h  -  W.Mahdi /////

#import "func.h"

#define MPIX 24                  // maximale Zahl der Peaks
#define NPIKPAR 5                // Zahl der Peak-Parameter (par-s pro pik)

void setAbort(BOOL a);

void mrqmin(float x[],float y[],double sig,int ndata,float a[],int ma,
    float *amin,float *amax,float daj[],int naj,int ifunc[],int lista[],
    int irel[],int krel[],int mfit,float **covar,float **alpha,float *chisq,
    int *cfit,float *alamda,int stp,int *err,float *rmsd);

void mrqcof(float x[],float y[],double sig,int ndata,float a[],int ma,
    float daj[],int irel[],int krel[],int ifunc[],int lista[],
		int mfit,float **alpha,float beta[],float *chisq,float *rmsd);

float gaussj (double q,float **a,int n,float **b,int m);

void covsrt(float **covar,int ma,int lista[],int mfit);

/////////////////////////////////////////////////////////////////// END /////
